package models

import "time"

type Cart_items struct {
	Cart_item_id uint `gorm:"primaryKey"`
	Cart_id      uint
	Cart         Carts `gorm:"references:Cart_id"`
	Product_id   uint
	Product      Product `gorm:"references:Product_id"`
	Quantity     uint    `gorm:"default:1"`
	PricePerUnit uint64
	Price        uint64
	Status       string `gorm:"default:pending"`
	Created_at   time.Time
	Removed_at   time.Time `gorm:"default:null"`
	Is_removed   bool      `gorm:"default:false"`
}
