package models

import "time"

type Product struct {
	Product_id  uint   `gorm:"primaryKey"`
	Name        string `gorm:"type:varchar(255)"`
	Description string `gorm:"type:TEXT"`
	Warranty    string `gorm:"type:varchar(255)"`
	Quantity    uint
	Category    string `gorm:"type:varchar(255)"`
	Price       uint64
	Created_at  time.Time
	Updated_at  time.Time `gorm:"default:null"`
	Removed_at  time.Time `gorm:"default:null"`
	Is_removed  bool      `gorm:"default:false"`
}
