package models

import "time"

type Specs struct {
	Specs_id   uint `gorm:"primaryKey"`
	Product_id uint
	Product    Product `gorm:"references:Product_id"`
	Type       string  `gorm:"type:varchar(255)"`
	Value      string  `gorm:"type:varchar(255)"`
	Created_at time.Time
	Updated_at time.Time `gorm:"default:null"`
	Removed_at time.Time `gorm:"default:null"`
	Is_removed bool      `gorm:"default:false"`
}
