package repositories

import (
	"app/models"

	"gorm.io/gorm"
)

type Order_Product interface {
	Create(op *models.Order_products) error
	Delete(id uint) error
}

type Order_Product_repository struct {
	DB *gorm.DB
}

func newOrderProductRepository(db *gorm.DB) Order_Product {
	return &Order_Product_repository{DB: db}
}

func (r *Order_Product_repository) Create(op *models.Order_products) error {
	if err := r.DB.Create(&op).Error; err != nil {
		return err
	}

	return nil
}
func (r *Order_Product_repository) Delete(id uint) error {
	var op models.Order_products
	if err := r.DB.Where("order_products_id = ?", id).Model(&op).Update("is_removed", true).Error; err != nil {
		return err
	}
	return nil
}
