package models

import "time"

type Address struct {
	Address_id uint `gorm:"primaryKey"`
	User_id    uint
	User       User   `gorm:"references:User_id"`
	Address    string `gorm:"type:TEXT"`
	PostCode   string `gorm:"type:varchar(10)"`
	Created_at time.Time
	Updated_at time.Time `gorm:"default:null"`
	Removed_at time.Time `gorm:"default:null"`
	Is_active  bool
	Is_removed bool `gorm:"default:false"`
}
