package models

import "time"

type Images struct {
	Img_id     uint `gorm:"primary"`
	Product_id uint
	Product    Product `gorm:"references:Product_id"`
	Address    string  `gorm:"type:varchar(255)"`
	Created_at time.Time
	Updated_at time.Time `gorm:"default:null"`
	Removed_at time.Time `gorm:"default:null"`
	Is_removed bool      `gorm:"default:false"`
}
