package models

import "time"

type User struct {
	User_id          uint   `gorm:"primaryKey"`
	Username         string `gorm:"type:varchar(100)"`
	Email            string `gorm:"type:varchar(255)"`
	Password         string `gorm:"type:varchar(255)"`
	CellPhone_number string `gorm:"unique;type:varchar(11)"`
	Role             string `gorm:"type:varchar(50)"`
	National_code    string `gorm:"type:varchar(10)"`
	BirthDay         string `gorm:"type:varchar(255)"`
	First_name       string `gorm:"type:varchar(50)"`
	Last_name        string `gorm:"type:varchar(50)"`
	Created_at       time.Time
	Updated_at       time.Time `gorm:"default:null"`
	Removed_at       time.Time `gorm:"default:null"`
	Is_removed       bool      `gorm:"default:false"`
}
