package models

import "time"

type Wishlist struct {
	Wishlist_id uint `gorm:"primaryKey"`
	User_id     uint
	User        User `gorm:"references:User_id"`
	Product_id  uint
	Product     Product `gorm:"references:Product_id"`
	Created_at  time.Time
	Updated_at  time.Time `gorm:"default:null"`
	Removed_at  time.Time `gorm:"default:null"`
	Is_removed  bool      `gorm:"default:false"`
}
