package services

import (
	"net/http"

	"github.com/kavenegar/kavenegar-go"
	"github.com/labstack/echo/v4"
)

func Test(c echo.Context) error {
	api := kavenegar.New("55446E4B7564625A703969476D68315636464871325A52586D6C6E4C6C445A4F4E2B4D753637716A4E30593D")

	sender := "1000596446"
	receptor := []string{"09356684212"}

	if _, err := api.Message.Send(sender, receptor, "hello-go", nil); err != nil {
		panic(err)
	}

	return c.String(http.StatusAccepted, "code sent")
}
