package utils

import (
	"app/database"
	"app/models"
)

func GetUserByEmail(email string) (*models.User, error) {
	user := new(models.User)
	db := database.Db()
	if err := db.Where("is_removed = ?", false).Where("email = ?", email).First(&user).Error; err != nil {
		return nil, err
	}
	return user, nil
}
