package utils

import (
	"app/database"
	"app/models"
)

func GetByPhoneNumber(number string) (*models.User, error) {
	db := database.Db()
	user := new(models.User)
	if err := db.Where("is_removed = ?", false).Where("cell_phone_number = ?", number).First(&user).Error; err != nil {
		return nil, err
	}

	return user, nil

}
